[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# INVALID_HANDLE_VALUE

Value used to represent an invalid (unassigned) Handle.

## Declaration

Source position: lcltype.pp line 164

`const INVALID_HANDLE_VALUE = DWORD(- 1);`

## Description

INVALID_HANDLE_VALUE is a constant used to represent a handle which is either invalid or unassigned. INVALID_HANDLE_VALUE, like other handle values, are represented as the type needed for a specific platform. For the Windows platform, the INVALID_HANDLE_VALUE defined in the windows.pp unit is used. For other platforms, DWORD(-1) is used.

For FPC compiler versions after 3.2.2, the INVALID_HANDLE_VALUE constant is defined in the platform-specific sysutils.pp unit.